Decisions
API reference for Decisions
Submit a System One request
Authorization
bearerAuth API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://api.eurouter.ai/api/v1/systemone" \ -H "Content-Type: application/json" \ -d '{ "model": "string", "state": "string", "questions": { "property1": { "type": "noul", "instructions": "string" }, "property2": { "type": "noul", "instructions": "string" } }, "property1": null, "property2": null }'{
"model": "string",
"answers": {
"property1": {
"type": "noul",
"noul": 0
},
"property2": {
"type": "noul",
"noul": 0
}
},
"usage": {
"input_tokens": -9007199254740991,
"output_tokens": -9007199254740991,
"cost": 0,
"cost_currency": "USD",
"cost_eur": 0,
"is_byok": true
},
"id": "string",
"provider": "string"
}Submit a Decisions request
Authorization
bearerAuth API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://api.eurouter.ai/api/alpha/decisions" \ -H "Content-Type: application/json" \ -d '{ "model": "string", "state": "string", "questions": { "property1": { "type": "noul", "instructions": "string" }, "property2": { "type": "noul", "instructions": "string" } }, "property1": null, "property2": null }'{
"model": "string",
"answers": {
"property1": {
"type": "noul",
"noul": 0
},
"property2": {
"type": "noul",
"noul": 0
}
},
"usage": {
"input_tokens": -9007199254740991,
"output_tokens": -9007199254740991,
"cost": 0,
"cost_currency": "USD",
"cost_eur": 0,
"is_byok": true
},
"id": "string",
"provider": "string"
}